#ifndef __$(appName)_H__
#define __$(appName)_H__

#include <app.h>
#include <Elementary.h>
#include <system_settings.h>
#include <efl_extension.h>
#include <dlog.h>

#ifdef  LOG_TAG
#undef  LOG_TAG
#endif
#define LOG_TAG "$(appName)"

#if !defined(PACKAGE)
#define PACKAGE "org.tizen.$(appName)"
#endif

#if !defined(TRACE_INFO)
#define TRACE_INFO(format, args...) \
		dlog_print(DLOG_INFO, 		\
		LOG_TAG, 					\
		"%s() : line %d : "format, 	\
		__func__, 					\
		__LINE__, 					\
		##args);
#endif

#if !defined(TRACE_ERROR)
#define TRACE_ERROR(format, args...) \
		dlog_print(DLOG_ERROR, 		\
		LOG_TAG, 					\
		"%s() : line %d : "format, 	\
		__func__, 					\
		__LINE__, 					\
		##args)
#endif

#if !defined(TRACE_ERROR_IF)
#define TRACE_ERROR_IF(ret_value, format, args...) ({			\
		bool result = (ret_value != 0);							\
		if (result) {											\
			TRACE_ERROR(format" Err = %d", ##args, ret_value);	\
		}														\
		result;													\
	})
#endif

#endif /* __$(appName)_H__ */
